=== smb4k/icons/oxygen/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>

ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME oxygen   )
