=== debian/changelog ===
smb4k (3.1.90-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Mar 2023 09:32:06 +0100

smb4k (3.1.84-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.7-1.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Feb 2023 08:18:01 +0100

smb4k (3.1.83-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.6-1.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 16:46:47 +0100

smb4k (3.1.82-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 12:36:59 +0100
