## smb4k 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
 
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
-# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+#
+# Minimum required CMake version
+#
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+
 #
 # Project
 #
@@ -11,15 +16,10 @@
 # Version
 #
 set(VERSION_MAJOR 3)
-set(VERSION_MINOR 1)
-set(VERSION_PATCH 90)
+set(VERSION_MINOR 2)
+set(VERSION_PATCH 1)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-
-#
-# Minimum required CMake version
-#
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 #
 # CMake policies
@@ -37,7 +37,7 @@
 # set(KF5_MIN_VERSION "5.98.0")
 
 set(QT_MIN_VERSION "5.14.0")
-set(KF5_MIN_VERSION "5.80.0")
+set(KF5_MIN_VERSION "5.78.0")
 
 #
 # Options for building Smb4K
