=== core/CMakeLists.txt ===
--- 
+++ 
@@ -101,5 +101,9 @@
 ########### install files ###############
 
 install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+if (${ECM_VERSION} GREATER_EQUAL 5.89.0)
+  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
+else ()
+  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
+endif()
