=== debian/changelog ===
smb4k (3.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:09:51 +0200

smb4k (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - lower the KF packages to 5.78.0

 -- Pino Toscano <pino@debian.org>  Sat, 15 Apr 2023 23:56:18 +0200
