## smb4k 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
