=== debian/changelog ===
smb4k (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-specific freebsd-smbfs dependency

 -- Pino Toscano <pino@debian.org>  Sun, 30 Jul 2023 11:54:22 +0200
