=== debian/changelog ===
smb4k (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Oct 2023 05:35:26 +0200

smb4k (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Sep 2023 19:34:06 +0200
