=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: smb4k
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -38,8 +39,8 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: kfreebsd-any linux-any
-Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
+Architecture: linux-any
+Depends: cifs-utils (>= 2:4.1) [linux-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),
          ${misc:Depends},
