=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DSMB4K_INSTALL_PLASMOID=false

execute_after_dh_auto_install:
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete
