=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-2-Clause
-# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 #
 # KDSoap WS Discovery client uses 'signals' and 'slots'
 # 
@@ -18,30 +18,23 @@
   smb4kbasicnetworkitem.cpp
   smb4kbookmark.cpp
   smb4kbookmarkhandler.cpp
-  smb4kbookmarkhandler_p.cpp
   smb4kclient.cpp
   smb4kclient_p.cpp
-  smb4kcustomoptions.cpp
-  smb4kcustomoptionsmanager.cpp
-  smb4kcustomoptionsmanager_p.cpp
+  smb4kcustomsettings.cpp
+  smb4kcustomsettingsmanager.cpp
   smb4kfile.cpp
   smb4kglobal.cpp
   smb4kglobal_p.cpp
   smb4khardwareinterface.cpp
-  smb4khardwareinterface_p.cpp
   smb4khomesshareshandler.cpp
-  smb4khomesshareshandler_p.cpp
   smb4khost.cpp
   smb4kmounter.cpp 
-  smb4kmounter_p.cpp
   smb4knotification.cpp
   smb4kprofilemanager.cpp
-  smb4kprofilemanager_p.cpp
   smb4kshare.cpp
   smb4ksynchronizer.cpp
   smb4ksynchronizer_p.cpp
   smb4kwalletmanager.cpp
-  smb4kwalletmanager_p.cpp
   smb4kworkgroup.cpp)
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -62,27 +55,23 @@
 add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})
 
 target_link_libraries(smb4kcore
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Gui
-  Qt5::PrintSupport
-  Qt5::Network
-  Qt5::Qml
-  KF5::ConfigCore
-  KF5::ConfigGui
-  KF5::AuthCore
-  KF5::IconThemes
-  KF5::I18n
-  KF5::Completion
-  KF5::CoreAddons
-  KF5::Solid
-  KF5::KIOCore
-  KF5::KIOWidgets
-  KF5::Notifications
-  KF5::JobWidgets
-  KF5::Wallet
-  KF5::XmlGui
-  KF5::DNSSD
+  Qt${QT_MAJOR_VERSION}::Core
+  Qt${QT_MAJOR_VERSION}::Widgets
+  Qt${QT_MAJOR_VERSION}::PrintSupport
+  Qt${QT_MAJOR_VERSION}::Network
+  KF${QT_MAJOR_VERSION}::ConfigCore
+  KF${QT_MAJOR_VERSION}::ConfigGui
+  KF${QT_MAJOR_VERSION}::AuthCore
+  KF${QT_MAJOR_VERSION}::IconThemes
+  KF${QT_MAJOR_VERSION}::I18n
+  KF${QT_MAJOR_VERSION}::CoreAddons
+  KF${QT_MAJOR_VERSION}::Solid
+  KF${QT_MAJOR_VERSION}::KIOCore
+  KF${QT_MAJOR_VERSION}::KIOWidgets
+  KF${QT_MAJOR_VERSION}::Notifications
+  KF${QT_MAJOR_VERSION}::JobWidgets
+  KF${QT_MAJOR_VERSION}::Wallet
+  KF${QT_MAJOR_VERSION}::DNSSD
   ${LIBSMBCLIENT_LIBRARIES})
     
 #
@@ -101,9 +90,5 @@
 ########### install files ###############
 
 install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-if (${ECM_VERSION} GREATER_EQUAL 5.89.0)
-  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
-else ()
-  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
-endif()
+install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
