=== debian/changelog ===
smb4k (3.2.70-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.8
    - bump the KF packages to 5.103.0
    - drop libkf5plasma-dev, as smb4k is currently built without the Plasma
      widget
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Apr 2024 11:37:31 +0200
