=== debian/control ===
--- 
+++ 
@@ -1,42 +1,40 @@
 Source: smb4k
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                gettext,
-               extra-cmake-modules (>= 5.78.0~),
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
-               libkf5auth-dev (>= 5.78.0~),
-               libkf5completion-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5configwidgets-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5crash-dev (>= 5.78.0~),
-               libkf5dbusaddons-dev (>= 5.78.0~),
-               libkf5dnssd-dev (>= 5.78.0~),
-               libkf5doctools-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
-               libkf5jobwidgets-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5notifications-dev (>= 5.78.0~),
-               libkf5plasma-dev (>= 5.78.0~),
-               libkf5solid-dev (>= 5.78.0~),
-               libkf5wallet-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
-               libkf5windowsystem-dev (>= 5.78.0~),
-               libkf5xmlgui-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               qtbase5-dev (>= 5.15.8~),
+               qtdeclarative5-dev (>= 5.15.8~),
+               libkf5auth-dev (>= 5.103.0~),
+               libkf5completion-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5configwidgets-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5crash-dev (>= 5.103.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5dnssd-dev (>= 5.103.0~),
+               libkf5doctools-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
+               libkf5iconthemes-dev (>= 5.103.0~),
+               libkf5jobwidgets-dev (>= 5.103.0~),
+               libkf5kio-dev (>= 5.103.0~),
+               libkf5notifications-dev (>= 5.103.0~),
+               libkf5solid-dev (>= 5.103.0~),
+               libkf5wallet-dev (>= 5.103.0~),
+               libkf5widgetsaddons-dev (>= 5.103.0~),
+               libkf5windowsystem-dev (>= 5.103.0~),
+               libkf5xmlgui-dev (>= 5.103.0~),
                libsmbclient-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental
 
 Package: smb4k
 Architecture: linux-any
